--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 6.3i
--  \   \         Application : 
--  /   /         Filename : rgb_latch.vhf
-- /___/   /\     Timestamp : 03/03/2005 10:15:58
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: 
--Design Name: OBUFE_MXILINX_rgb_latch
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity OBUFE_MXILINX_rgb_latch is
   port ( E : in    std_logic; 
          I : in    std_logic; 
          O : out   std_logic);
end OBUFE_MXILINX_rgb_latch;

architecture BEHAVIORAL of OBUFE_MXILINX_rgb_latch is
   attribute BOX_TYPE   : string ;
   signal T : std_logic;
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
begin
   I_36_10 : OBUFT
      port map (I=>I,      
                T=>T,      
                O=>O);
   
   I_36_12 : INV
      port map (I=>E,      
                O=>T);
   
end BEHAVIORAL;


--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 6.3i
--  \   \         Application : 
--  /   /         Filename : rgb_latch.vhf
-- /___/   /\     Timestamp : 03/03/2005 10:15:58
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: 
--Design Name: rgb_latch
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity rgb_latch is
   port ( E     : in    std_logic; 
          G     : in    std_logic; 
          RGB_I : in    std_logic_vector (5 downto 0); 
          RGB_O : out   std_logic_vector (5 downto 0));
end rgb_latch;

architecture BEHAVIORAL of rgb_latch is
   attribute HU_SET     : string ;
   attribute INIT       : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_8  : std_logic;
   signal XLXN_9  : std_logic;
   signal XLXN_10 : std_logic;
   signal XLXN_11 : std_logic;
   signal XLXN_13 : std_logic;
   signal XLXN_14 : std_logic;
   component OBUFE_MXILINX_rgb_latch
      port ( E : in    std_logic; 
             I : in    std_logic; 
             O : out   std_logic);
   end component;
   
   component LD
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute INIT of LD : component is "0";
   attribute BOX_TYPE of LD : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : label is "XLXI_1_0";
   attribute HU_SET of XLXI_2 : label is "XLXI_2_1";
   attribute HU_SET of XLXI_3 : label is "XLXI_3_5";
   attribute HU_SET of XLXI_4 : label is "XLXI_4_2";
   attribute HU_SET of XLXI_5 : label is "XLXI_5_3";
   attribute HU_SET of XLXI_6 : label is "XLXI_6_4";
begin
   XLXI_1 : OBUFE_MXILINX_rgb_latch
      port map (E=>E,      
                I=>XLXN_13,      
                O=>RGB_O(0));
   
   XLXI_2 : OBUFE_MXILINX_rgb_latch
      port map (E=>E,      
                I=>XLXN_14,      
                O=>RGB_O(1));
   
   XLXI_3 : OBUFE_MXILINX_rgb_latch
      port map (E=>E,      
                I=>XLXN_11,      
                O=>RGB_O(2));
   
   XLXI_4 : OBUFE_MXILINX_rgb_latch
      port map (E=>E,      
                I=>XLXN_10,      
                O=>RGB_O(3));
   
   XLXI_5 : OBUFE_MXILINX_rgb_latch
      port map (E=>E,      
                I=>XLXN_9,      
                O=>RGB_O(4));
   
   XLXI_6 : OBUFE_MXILINX_rgb_latch
      port map (E=>E,      
                I=>XLXN_8,      
                O=>RGB_O(5));
   
   XLXI_19 : LD
      port map (D=>RGB_I(0),      
                G=>G,      
                Q=>XLXN_13);
   
   XLXI_20 : LD
      port map (D=>RGB_I(1),      
                G=>G,      
                Q=>XLXN_14);
   
   XLXI_21 : LD
      port map (D=>RGB_I(2),      
                G=>G,      
                Q=>XLXN_11);
   
   XLXI_22 : LD
      port map (D=>RGB_I(3),      
                G=>G,      
                Q=>XLXN_10);
   
   XLXI_23 : LD
      port map (D=>RGB_I(4),      
                G=>G,      
                Q=>XLXN_9);
   
   XLXI_24 : LD
      port map (D=>RGB_I(5),      
                G=>G,      
                Q=>XLXN_8);
   
end BEHAVIORAL;


